Bug 249187 - lang/python35: Update to 3.5.10
Summary: lang/python35: Update to 3.5.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Dima Panov
URL: https://docs.python.org/3.5/whatsnew/...
Keywords: security
Depends on:
Blocks:
 
Reported: 2020-09-08 08:12 UTC by Li-Wen Hsu
Modified: 2020-09-25 20:35 UTC (History)
3 users (show)

See Also:
fluffy: maintainer-feedback+
koobs: merge-quarterly+


Attachments
python-3.5.10.diff (5.97 KB, patch)
2020-09-08 08:12 UTC, Li-Wen Hsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Wen Hsu freebsd_committer 2020-09-08 08:12:03 UTC
Created attachment 217814 [details]
python-3.5.10.diff

ChangeLog: https://docs.python.org/3.5/whatsnew/changelog.html#python-3-5-10
Comment 1 Li-Wen Hsu freebsd_committer 2020-09-08 17:38:06 UTC
Even python35's EoL is in 3 days, it's still nice to have it updated to fix the security issue and MFH'd.
Comment 2 commit-hook freebsd_committer 2020-09-12 05:04:53 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Sep 12 05:04:27 UTC 2020
New revision: 548286
URL: https://svnweb.freebsd.org/changeset/ports/548286

Log:
  lang/python35: Update to 3.5.10

  ChangeLog: https://docs.python.org/3.5/whatsnew/changelog.html#python-3-5-10

  PR:		249187
  MFH:		2020Q3

Changes:
  head/lang/python35/Makefile
  head/lang/python35/Makefile.version
  head/lang/python35/distinfo
  head/lang/python35/pkg-plist
Comment 3 commit-hook freebsd_committer 2020-09-12 07:14:17 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Sep 12 07:13:46 UTC 2020
New revision: 548292
URL: https://svnweb.freebsd.org/changeset/ports/548292

Log:
  MFH: r548286

  lang/python35: Update to 3.5.10

  ChangeLog: https://docs.python.org/3.5/whatsnew/changelog.html#python-3-5-10

  PR:		249187

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/lang/python35/Makefile
  branches/2020Q3/lang/python35/Makefile.version
  branches/2020Q3/lang/python35/distinfo
  branches/2020Q3/lang/python35/pkg-plist
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-09-20 09:22:30 UTC
@Li-Wen Can you add a VuXML entry for this release please
Comment 5 Li-Wen Hsu freebsd_committer 2020-09-20 09:24:14 UTC
(In reply to Kubilay Kocak from comment #4)
I'm quite busy right now, please help me. Much thanks!
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-09-20 09:39:02 UTC
(In reply to Li-Wen Hsu from comment #5)

Apologies Li-Wen I cannot.

@Ports-secteam?
Comment 7 commit-hook freebsd_committer 2020-09-20 11:37:22 UTC
A commit references this bug:

Author: fluffy
Date: Sun Sep 20 11:36:51 UTC 2020
New revision: 549092
URL: https://svnweb.freebsd.org/changeset/ports/549092

Log:
  - Document python35 multiple vulnerabilities

  PR:		249187

Changes:
  head/security/vuxml/vuln.xml
Comment 8 Dima Panov freebsd_committer 2020-09-20 11:38:28 UTC
(In reply to Kubilay Kocak from comment #6)
Added vuxml entry at r549092
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2020-09-20 11:40:19 UTC
(In reply to Dima Panov from comment #8)

Much appreciated fluffy

^Triage: Assign to committer that (originally) resolved.
Comment 10 Mark Linimon freebsd_committer freebsd_triage 2020-09-25 20:35:42 UTC
^Triage: Assign to committer that (originally) resolved.